<template>
	<view class="homebg"><web-view :src="path" @message="bindmessage"></web-view></view>
</template>

<script>
export default {
	data() {
		return {
			uid: getApp().globalData.uid,
			path: '',
			shareMessage: {
				title: '',
				path: '',
				imageUrl: ''
			},
			hasMusic: false,
			nickname: wx.getStorageSync('gameInfo').nickname
		};
	},
	onShareAppMessage: function(res) {
		if (this.hasMusic) {
			this.shareMessage.title = `${this.nickname}原创了一首新歌，想请你来听听！`;
			this.shareMessage.path = `pages/music/friend?uid=${this.uid}`;
			this.shareMessage.imageUrl = 'https://ikea-mrm.woaap.com/images/share/share_music.png';
		} else {
			this.shareMessage.title = '谱写小曲 音乐让夏日更美';
			this.shareMessage.path = 'pages/index/index';
			this.shareMessage.imageUrl = 'https://ikea-mrm.woaap.com/images/share/share_index.png';
		}
		return this.shareMessage;
	},
	created() {
		// console.log(wx.getStorageSync('gameInfo'))
		// if(wx.getStorageSync('gameInfo').music != ''){
		// 	this.hasMusic = true
		// }
	},
	onLoad() {
		this.path = `https://ikea-mrm.woaap.com/music/#/?uid=${this.uid}`;
		getApp().td_app_sdk.event({
			id: '/music/home',
			label: 'pv'
		});
		// wx.request({
		// 	url:getApp().globalData.baseUrl + 'api/access.php?a=userinfo',
		// 	method:"POST",
		// 	header: {
		// 		'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
		// 	},
		// 	data: {
		// 		uid: this.uid
		// 	},
		// 	success: (res) => {
		// 		console.log(res.data.data);
		// 		this.nickname = res.data.data.nickname
		// 		wx.setStorageSync('gameInfo',res.data.data)
		// 		if(wx.getStorageSync('gameInfo').music != ''){
		// 			this.hasMusic = true
		// 		}
		// 	}
		// })
	},
	methods: {
		bindmessage(e) {
			console.log(e.detail);
			this.hasMusic = true;
		}
	}
};
</script>

<style lang="scss" scoped>
page {
	width: 100vw;
	height: 50vh;
	overflow: hidden;
	/* padding-top: 75upx; */
	box-sizing: border-box;

	/* display: flex;
		justify-content: center;
		align-items: center; */
}
.homebg {
	width: 100vw;
	height: 50vh;
	overflow: hidden;
}
</style>
